// serialServer.h

// Author: Marty Kraimer 
// Date: 13AUG98


enum cmdType {cmdWrite=0,cmdRead,cmdWriteRead,cmdSetEom};

/* Generic serial server

SerialConfigMessage.
   This just calls SerialPort::config.
   It returns an Int32Message. status is 0 for success.

Char8ArrayMessage.
   The fields are used as follows:

   timeout timeout value in seconds
   cmd
       cmdSetEom       : value contains end of message (up to 2 characters)
			 return is Int32Message. status is 0 for success.

       cmdWrite        : write request
       cmdRead         : read request - dont change eom
       cmdWriteRead    : writeRead request - dont change eom

			failure returns Int32Message.
			Successful write returns Char8ArrayMessage of length 0.
			Successful read or writeRead returns Char8ArrayMessage.
*/
