// StandardFieldsMessage.h

#ifndef StandardFieldsMessageH
#define StandardFieldsMessageH

class Message;
class DLList;

class StandardFieldsMessage : public Message
{
public:
    virtual ~StandardFieldsMessage() {}
    virtual void init();
    virtual int32  toBuffer(char **buffer) const;
    virtual int32  fromBuffer(const char **buffer);
    virtual int32  fromBufferSwitch(const char **buffer);
    virtual void print() const;
    //following are for use by client/server
    //Each may be used as desired
    uint32 timeout;
    uint32 cmd;
    int32 status;
    int32 address;
    int32 extra;
protected:
    StandardFieldsMessage(messageType type);
private:
    // Disallow copy constructor, assignment operator 
    StandardFieldsMessage(const StandardFieldsMessage&);
    StandardFieldsMessage& operator=(const StandardFieldsMessage&);
};

inline StandardFieldsMessage:: StandardFieldsMessage(messageType type)
: Message(type) {init();}

#endif /*StandardFieldsMessageH*/
